CSCI 48700: Artificial Intelligence
Programming Assignment 2
Instructor: Dr. Snehasis Mukhopadhyay Due date: April 17, 2018 The University of California, Irvine has a Machine Learning benchmark dataset collection available on the Web (see http://archive.ics.uci.edu/ml). Your objective is to choose the so-called “Iris” data set (see http://archive.ics.uci.edu/ml/datasets/Iris) from the available datasets, choose two data analysis methods i.e., neural nets and decision trees, apply the two methods on the given dataset and compare the results of analysis by the two methods. You are required to submit a brief report (hardcopy) on the assignment with the following structure: I. Problem Statement and Description (about half a page) II. Brief Description of the Two Methods Used (about half a page) III. Experimental Results (about 1 page) IV. Discussion of Results (about 1 page). You are free to use your own code or any other available code (at your own risk) for the implementation of the two methods selected by you. You do not need to submit any codes along with your report. This is an individual project. Discussions with the instructor/other students are allowed. However, your work must be your own and cannot be copy of others’ works.